using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

//using System.Windows.Media;
using Windows.UI.Xaml;
using Windows.Media;

using Windows.Storage;

namespace KoloryUA.Model
{
    public class Ustawienia
    {
        private static readonly ApplicationDataContainer ustawienia = ApplicationData.Current.LocalSettings;

        private static byte GetByte(string nazwa)
        {
            if (ustawienia.Values.ContainsKey(nazwa))
                return (byte) ustawienia.Values[nazwa];
            else return default(byte);
        }

        public static Kolor Czytaj()
        {
            //Properties.Settings ustawienia = Properties.Settings.Default;
            //return new Kolor(ustawienia.R, ustawienia.G, ustawienia.B);
            return new Kolor(GetByte("R"), GetByte("G"), GetByte("B"));
        }

        public static void Zapisz(Kolor kolor)
        {
            //Properties.Settings ustawienia = Properties.Settings.Default;
            //ustawienia.R = kolor.R;
            //ustawienia.G = kolor.G;
            //ustawienia.B = kolor.B;
            //ustawienia.Save();
            ustawienia.Values["R"] = kolor.R;
            ustawienia.Values["G"] = kolor.G;
            ustawienia.Values["B"] = kolor.B;
        }
    }
}
